%{?scl:%scl_package eclipse-abrt}
%{!?scl:%global pkg_name %{name}}

%global baserelease 3

Name:		%{?scl_prefix}eclipse-abrt
Version:	0.0.3
Release:	2.%{baserelease}%{?dist}
Summary:	Eclipse ABRT plugin
License:	EPL
URL:		https://pagure.io/eclipse-abrt

Source0:	https://pagure.io/releases/eclipse-abrt/eclipse-abrt-%{version}.tar.xz


BuildArch:	noarch

BuildRequires:	%{?scl_prefix}tycho
BuildRequires:	%{?scl_prefix}tycho-extras
BuildRequires:	%{?scl_prefix}eclipse-platform
BuildRequires:	%{?scl_prefix}jnr-unixsocket
BuildRequires:	%{?scl_prefix}eclipse-epp-logging
BuildRequires:	%{?scl_prefix}eclipse-license
BuildRequires:	%{?scl_prefix}osgi(org.eclipse.mylyn.bugzilla.ui)

Requires:	%{?scl_prefix}eclipse-platform >= 1:4.3.2
Requires:	%{?scl_prefix}eclipse-epp-logging

Obsoletes:	%{?scl_prefix}eclipse-mylyn-fedora-integration >= 1.0.4-1

%description
This plugin provide support to add error reports from Eclipse to ABRT

%prep
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%setup -q -n eclipse-abrt-%{version}

rm .mvn/extensions.xml
cat > org.fedoraproject.abrt.feature/pom.xml << EOF
<project xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd" xmlns="http://maven.apache.org/POM/4.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>org.fedoraproject.abrt</groupId>
    <artifactId>eclipse-abrt</artifactId>
    <version>0.0.2-SNAPSHOT</version>
  </parent>
  <artifactId>org.fedoraproject.abrt.feature</artifactId>
  <packaging>eclipse-feature</packaging>
</project>
EOF
cat > org.fedoraproject.abrt/pom.xml << EOF
<project xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd" xmlns="http://maven.apache.org/POM/4.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>org.fedoraproject.abrt</groupId>
    <artifactId>eclipse-abrt</artifactId>
    <version>0.0.2-SNAPSHOT</version>
  </parent>
  <artifactId>org.fedoraproject.abrt</artifactId>
  <packaging>eclipse-plugin</packaging>
</project>
EOF
cat > org.fedoraproject.abrt.mylyn/pom.xml << EOF
<project xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd" xmlns="http://maven.apache.org/POM/4.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>org.fedoraproject.abrt</groupId>
    <artifactId>eclipse-abrt</artifactId>
    <version>0.0.2-SNAPSHOT</version>
  </parent>
  <artifactId>org.fedoraproject.abrt.mylyn</artifactId>
  <packaging>eclipse-plugin</packaging>
</project>
EOF
%{?scl:EOFSCL}


%build
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%mvn_build  -j -- -f pom.xml
%{?scl:EOFSCL}


%install
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%mvn_install
%{?scl:EOFSCL}


%files -f .mfiles

%changelog
* Mon Dec 18 2017 Mat Booth <mat.booth@redhat.com> - 0.0.3-2.3
- Rebuilt

* Tue Jun 27 2017 Mat Booth <mat.booth@redhat.com> - 0.0.3-2.2
- Avoid use of pomless

* Tue Jun 27 2017 Mat Booth <mat.booth@redhat.com> - 0.0.3-2.1
- Auto SCL-ise package for rh-eclipse47 collection

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Jun 8 2016 Alexander Kurtakov <akurtako@redhat.com> 0.0.3-1
- Update to upstream 0.0.3 release which obsoletes eclipse-mylyn-fedora-integration.

* Wed Apr 20 2016 Alexander Kurtakov <akurtako@redhat.com> 0.0.2-1
- Update to upstream 0.0.2 release.

* Thu Mar 24 2016 Sopot Cela <scela@redhat.com> - 0.0.1-1
- Initial upload
